API Documentation

Here you can find how you can use our API

Sai Mohit

Last Update 10 maanden geleden

 Authentication(VERY IMPORTANT)


For every endpoint below, you need to pass your key API key with the following header parameter


x-api-key


Please generate your API key by asking the support team


Rate Limits(if you exceed, your account will be ratelimited)

50 requests per minute

200 requests per hour

1,000 requests per day


Bulk List Creation

1. Create Bulk List

Endpoint: https://api.reachfast.ai/bulkLists

Method: POST

Description: Create a list of LinkedIn URLs for bulk contact discovery


Request Payload Example:

{

"title": "Company Contacts",

"linkedInUrls": [

"https://www.linkedin.com/in/profile1",

"https://www.linkedin.com/in/profile2"

]

}


Response Example:

{

"_id": "unique-list-id",

"createdOn": "timestamp",

"updatedOn": "timestamp",

"title": "Company Contacts",

"owner": {

"_id": "user-id",

"fullName": "Your Name"

},

"processedUrlCount": 0,

"status": "IN_PROGRESS",

"totalUrlsCount": 2,

"finaliseOn": "timestamp"

}


2. Check Bulk List Status

Endpoint: https://api.reachfast.ai/contacts?page=1&perPage=10&searchQuery=&status=IN_PROGRESS&bulkListId={bulk_list_id}

Method: GET

Once the bulk list is created, you need to keep checking the status every 5 minutes until there is null response for this. It means there are no "in_progress" contacts i.e all contacts are completed processing


3. Retrieve Contacts from Bulk List

Endpoint: https://api.reachfast.ai/contacts

Method: GET

Description: Retrieve contact information from a processed bulk list

Query Parameters:

- page: Page number (default: 1)

- perPage: Results per page (default: 50)

- searchQuery: Filter by name or LinkedIn URL

- bu

- status: Filter by contact status

* ALL: All contacts

* PROCESSED: Contacts with phone numbers

* IN_PROGRESS: Processing ongoing

* FAILED: No phone number found


Sample: https://api.reachfast.ai/contacts?page=1&perPage=10&searchQuery=&status=ALL&bulkListId=675c5e9548304e00378ddad0


4. List All Bulk Lists

Endpoint: https://api.reachfast.ai/bulkLists

Method: GET

Description: Retrieve a list of all created bulk lists

Query Parameters:

- page: Page number (default: 1)

- perPage: Results per page (default: 50)

- searchQuery: Filter bulk lists by name


Sample: https://api.reachfast.ai/bulkLists?page=1&perPage=10&searchQuery=source

SINGLE API Request(using linkedin url)


Endpoint: https://api.reachfast.ai/contacts/reveal?linkedInUrl={put linkedin url here}


No parameteres needed


Sample curl:

curl --location 'https://api.reachfast.ai/contacts/reveal?linkedInUrl=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fshitizdogra%2F' \--header 'Content-Type: application/json' \--header 'x-api-key: your-api-key'



Was this article helpful?

0 out of 1 liked this article

Still need help? Message Us